# AUTOGENERATED! DO NOT EDIT! File to edit: ../nbs/00_addroot.ipynb.

# %% auto 0
__all__ = ['project_root', 'find_root']

# %% ../nbs/00_addroot.ipynb 4
import os, sys
from pathlib import Path


# %% ../nbs/00_addroot.ipynb 5
def find_root():
    project_root_path = None
    parent = str(Path(os.getcwd()).resolve())

    while len(parent)>0:
        print(f"Inspecting {parent}")
        if os.path.isdir(os.path.join(parent, ".git")):
            print(f"Found .git at {parent}")
            project_root_path = parent
            break

        parent, current = os.path.split(parent)
        
    if project_root_path is not None:
        
        # Add module path to system path.
        if project_root_path not in sys.path:
            print(f"Adding {project_root_path}")
            sys.path.append(project_root_path)
            print(f"Added {project_root_path} to PATH")

    return project_root_path

# %% ../nbs/00_addroot.ipynb 6
project_root = find_root()
